Script: *save-credentials.ps1*
========================

This PowerShell script asks for credentials and saves them encrypted into a target file ("$HOME\my.credentials" by default).

Parameters
----------
```powershell
PS> ./save-credentials.ps1 [[-TargetFile] <String>] [<CommonParameters>]

-TargetFile <String>
    Specifies the target file ("$HOME\my.credentials" by default)
    
    Required?                    false
    Position?                    1
    Default value                "$HOME\my.credentials"
    Accept pipeline input?       false
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

Example
-------
```powershell
PS> ./save-credentials.ps1
Enter username and password, please.
	✔️ Your credentials have been saved encrypted into C:\Users\Markus\my.credentials

```

Notes
-----
Author: Markus Fleschutz | License: CC0

Related Links
-------------
https://github.com/fleschutz/PowerShell

Script Content
--------------
```powershell
<#
.SYNOPSIS
	Saves credentials encrypted
.DESCRIPTION
	This PowerShell script asks for credentials and saves them encrypted into a target file ("$HOME\my.credentials" by default).
.PARAMETER TargetFile
	Specifies the target file ("$HOME\my.credentials" by default)
.EXAMPLE
	PS> ./save-credentials.ps1
	Enter username and password, please.
 	✔️ Your credentials have been saved encrypted into C:\Users\Markus\my.credentials
.LINK
	https://github.com/fleschutz/PowerShell
.NOTES
	Author: Markus Fleschutz | License: CC0
#>

param([string]$TargetFile = "$HOME\my.credentials")

try {
	Write-Host "Enter username and password, please." -foreground red
	$cred = Get-Credential
	$cred.Password | ConvertFrom-SecureString | Set-Content "$TargetFile"
	"✔️ Your credentials have been saved encrypted into $TargetFile"
	exit 0 # success
} catch {
	"⚠️ Error in line $($_.InvocationInfo.ScriptLineNumber): $($Error[0])"
	exit 1
}
```

*(generated by convert-ps2md.ps1 using the comment-based help of save-credentials.ps1 as of 08/15/2024 09:50:53)*
